Skip to main content
`Ctrl`+`K`

# PetscFECreate

Creates an empty `PetscFE` object. The type can then be set with `PetscFESetType()`.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreate(MPI_Comm comm, PetscFE *fem)

Collective

## Input Parameter

- comm - The communicator for the `PetscFE` object

## Output Parameter

- fem - The `PetscFE` object

## See Also

`PetscFE`, `PetscFEType`, `PetscFESetType()`, `PetscFECreateDefault()`, `PETSCFEGALERKIN`

## Level

beginner

## Location

src/dm/dt/fe/interface/fe.c

## Implementations

PetscFECreate_Basic() in src/dm/dt/fe/impls/basic/febasic.c
PetscFECreate_Composite() in src/dm/dt/fe/impls/composite/fecomposite.c
PetscFECreate_OpenCL() in src/dm/dt/fe/impls/opencl/feopencl.c
PetscFECreate_Vector() in src/dm/dt/fe/impls/vector/fevector.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages